package com.hrsk.cloud.eg.app.api;

import com.hrsk.cloud.eg.app.business.EgOperateBusinessService;
import com.hrsk.cloud.eg.app.request.api.EgApiEndpointReq;
import com.hrsk.cloud.eg.app.request.api.EgApiLoanExtendReq;
import com.hrsk.cloud.eg.app.request.api.EgApiProductExtendReq;
import com.hrsk.cloud.eg.app.request.api.EgApiReq;
import com.hrsk.cloud.eg.vo.response.DefaultResponseVo;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author zhangyy
 * @version 1.0
 * @description: EgApiOperateServiceImpl
 * @date 2024/9/23 11:25
 */
@RequestMapping
@RestController("eg")
public class EgApiOperateServiceImpl {

    @Resource
    private EgOperateBusinessService egOperateBusinessService;


    /**
     * @description: 创建助贷api扩展
     * @author zhangyy
     * @date 2024/9/23 13:40
     * @version 1.0
     */
    @RequestMapping("saveLoanApiExtend")
    public DefaultResponseVo saveLoanApiExtend(@RequestBody EgApiLoanExtendReq req) {
        egOperateBusinessService.saveLoanApiExtend(req);
        return DefaultResponseVo.success();
    }

    /**
     * @description: 创建助贷api扩展
     * @author zhangyy
     * @date 2024/9/23 13:40
     * @version 1.0
     */
    @RequestMapping("saveInterbankApiExtend")
    public DefaultResponseVo saveInterbankApiExtend(@RequestBody EgApiProductExtendReq req) {
        egOperateBusinessService.saveInterbankApiExtend(req);
        return DefaultResponseVo.success();
    }

    /**
     * @description: 保存信息api配置信息
     * @author zhangyy
     * @date 2024/9/23 13:46
     * @version 1.0
     */
    @RequestMapping("saveApiConfig")
    public DefaultResponseVo saveApiConfig(@RequestBody EgApiEndpointReq req){

        Long id = egOperateBusinessService.saveApiConfig(req);
        return DefaultResponseVo.success(id);
    }

    /**
     * @description: 保存信息api
     * @author zhangyy
     * @date 2024/9/23 13:46
     * @version 1.0
     */
    @RequestMapping("saveApiInfo")
    public DefaultResponseVo saveApiInfo(@RequestBody EgApiReq req){
        Long id = egOperateBusinessService.saveApiInfo(req);
        return DefaultResponseVo.success(id);
    }

}
