package com.hrsk.cloud.eg.app.request.api;

import com.hrsk.cloud.eg.infrastructure.repository.database.entity.BaseDo;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author: bianlanzhou
 * @create: 2024-08-01 18:34
 * @description: API通道数据对象
 **/
@Data
public class EgApiEndpointReq extends BaseDo implements Serializable {
    /**
     * 数据API主键
     */
    @NotNull(message = "apiId不能为空")
    private Long apiId;
    /**
     * 通道类型
     */
    private String apiCode;

    /**
     * api名称
     */
    private String apiName;
    /**
     * 通道配置
     */
    @NotBlank(message = "通道配置信息不能为空")
    private byte[] apiConfig;

    /**
     * 请求配置
     */
    @NotBlank(message = "请求配置信息不能为空")
    private String requestConfig;

    /**
     * 响应配置
     */
    @NotBlank(message = "响应配置信息不能为空")
    private String responseConfig;

    /**
     * 备注
     */
    private String memo;
}
