package com.hrsk.cloud.eg.app.request.api;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author: bianlanzhou
 * @create: 2024-08-02 08:14
 * @description: 接出网关API表
 **/
@Data
public class EgApiReq implements Serializable  {
    /**
     * API名称
     */
    @NotBlank(message = "API名称不能为空")
    private String apiName;

    /**
     * API类型
     */
    @NotBlank(message = "API类型不能为空")
    private String apiType;

    /**
     * APICode
     */
    @NotBlank(message = "API编码不能为空")
    private String apiCode;

    /**
     *技术负责人
     */
    private String techOwnerUsername;

    private String techOwnerUserid;
    /**
     * 运维负责人不能为空
     */
    private String busiOwnerUsername;

    private String busiOwnerUserid;
}
